%ifarch %{arm} aarch64
%define build_docs     0
%else
%define build_docs     1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 2

%define rel 1

%define qtversion             %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqt3danimation      %mklibname qt53danimation %{qtmajor}
%define libqt3dcore           %mklibname qt53dcore %{qtmajor}
%define libqt3dextras         %mklibname qt53dextras %{qtmajor}
%define libqt3dinput          %mklibname qt53dinput %{qtmajor}
%define libqt3dlogic          %mklibname qt53dlogic %{qtmajor}
%define libqt3dquick          %mklibname qt53dquick %{qtmajor}
%define libqt3dquickanimation %mklibname qt53dquickanimation %{qtmajor}
%define libqt3dquickextras    %mklibname qt53dquickextras %{qtmajor}
%define libqt3dquickinput     %mklibname qt53dquickinput %{qtmajor}
%define libqt3dquickrender    %mklibname qt53dquickrender %{qtmajor}
%define libqt3dquickscene2d   %mklibname qt53dquickscene2d %{qtmajor}
%define libqt3drender         %mklibname qt53drender %{qtmajor}
%define libqt3d_d             %mklibname qt5qt3d -d

%define qttarballdir          qt3d-everywhere-src-%{qtversion}

Name:           qt3d5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} 3D QML bindings and C++ APIs component
# See LICENSE.GPL LICENSE.LGPL LGPL_EXCEPTION.txt, for details
# See also http://doc.qt.io/qt-5/licensing.html
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Concurrent) >= %{version}
BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Network) >= %{version}
BuildRequires:  pkgconfig(Qt5OpenGL) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}
BuildRequires:  pkgconfig(Qt5XmlPatterns) >= %{version}
BuildRequires:  qtimageformats5-devel >= %{version}

BuildRequires:  pkgconfig(assimp)

Requires:       qtimageformats5 >= %{version}

%description
Qt%{qtmajor} 3D provides functionality for near-realtime simulation systems
with support for 2D and 3D rendering in both Qt C++ and Qt Quick applications.

%files
%license LICENSE.GPL* LICENSE.LGPL*
%{_qt5_qml}/Qt3D/
%{_qt5_qml}/QtQuick/Scene3D/
%{_qt5_qml}/QtQuick/Scene2D/
%{_qt5_plugindir}/sceneparsers/
%{_qt5_plugindir}/renderers/
%{_qt5_plugindir}/renderplugins/
%{_qt5_plugindir}/geometryloaders/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        Qt3D%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in Qt3D%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qt3d.qch
%{_qt5_docdir}/qt3d/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqt3danimation}
Summary:        Qt%{qtmajor} 3D Animation Component Library
Group:          System/Libraries

%description -n %{libqt3danimation}
Qt%{qtmajor} 3D Animation Component Library.

%files -n %{libqt3danimation}
%{_qt5_libdir}/libQt53DAnimation.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dcore}
Summary:        Qt%{qtmajor} 3D Core Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqt3dcore}
Qt%{qtmajor} 3D Core Component Library.

%files -n %{libqt3dcore}
%{_qt5_libdir}/libQt53DCore.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dextras}
Summary:        Qt%{qtmajor} 3D Extras Component Library
Group:          System/Libraries

%description -n %{libqt3dextras}
Qt%{qtmajor} 3D Extras Component Library.

%files -n %{libqt3dextras}
%{_qt5_libdir}/libQt53DExtras.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dinput}
Summary:        Qt%{qtmajor} 3D Input Component Library
Group:          System/Libraries

%description -n %{libqt3dinput}
Qt%{qtmajor} 3D Input Component Library.

%files -n %{libqt3dinput}
%{_qt5_libdir}/libQt53DInput.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dlogic}
Summary:        Qt%{qtmajor} 3D Logic Component Library
Group:          System/Libraries

%description -n %{libqt3dlogic}
Qt%{qtmajor} 3D Logic Component Library.

%files -n %{libqt3dlogic}
%{_qt5_libdir}/libQt53DLogic.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquick}
Summary:        Qt%{qtmajor} 3D Quick Component Library
Group:          System/Libraries

%description -n %{libqt3dquick}
Qt%{qtmajor} 3D Quick Component Library.

%files -n %{libqt3dquick}
%{_qt5_libdir}/libQt53DQuick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquickanimation}
Summary:        Qt%{qtmajor} 3D Quick Animation Component Library
Group:          System/Libraries

%description -n %{libqt3dquickanimation}
Qt%{qtmajor} 3D Quick Animation Component Library.

%files -n %{libqt3dquickanimation}
%{_qt5_libdir}/libQt53DQuickAnimation.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquickextras}
Summary:        Qt%{qtmajor} 3D Quick Extras Component Library
Group:          System/Libraries

%description -n %{libqt3dquickextras}
Qt%{qtmajor} 3D Quick Extras Component Library.

%files -n %{libqt3dquickextras}
%{_qt5_libdir}/libQt53DQuickExtras.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquickinput}
Summary:        Qt%{qtmajor} 3D Quick Input Component Library
Group:          System/Libraries

%description -n %{libqt3dquickinput}
Qt%{qtmajor} 3D Quick Input Component Library.

%files -n %{libqt3dquickinput}
%{_qt5_libdir}/libQt53DQuickInput.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquickrender}
Summary:        Qt%{qtmajor} 3D Quick Render Component Library
Group:          System/Libraries

%description -n %{libqt3dquickrender}
Qt%{qtmajor} 3D Quick Render Component Library.

%files -n %{libqt3dquickrender}
%{_qt5_libdir}/libQt53DQuickRender.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3dquickscene2d}
Summary:        Qt%{qtmajor} 3D Quick Scene2D Component Library
Group:          System/Libraries

%description -n %{libqt3dquickscene2d}
Qt%{qtmajor} 3D Quick Scene2D Component Library.

%files -n %{libqt3dquickscene2d}
%{_qt5_libdir}/libQt53DQuickScene2D.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3drender}
Summary:        Qt%{qtmajor} 3D Render Component Library
Group:          System/Libraries

%description -n %{libqt3drender}
Qt%{qtmajor} 3D Render Component Library.

%files -n %{libqt3drender}
%{_qt5_libdir}/libQt53DRender.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqt3d_d}
Summary:        Devel files needed to build apps based on Qt3D
Group:          Development/KDE and Qt
Requires:       %{libqt3danimation} = %{version}
Requires:       %{libqt3dcore} = %{version}
Requires:       %{libqt3dextras} = %{version}
Requires:       %{libqt3dinput} = %{version}
Requires:       %{libqt3dlogic} = %{version}
Requires:       %{libqt3dquick} = %{version}
Requires:       %{libqt3dquickanimation} = %{version}
Requires:       %{libqt3dquickextras} = %{version}
Requires:       %{libqt3dquickinput} = %{version}
Requires:       %{libqt3dquickrender} = %{version}
Requires:       %{libqt3dquickscene2d} = %{version}
Requires:       %{libqt3drender} = %{version}
Provides:       libqt3d5-devel = %{version}
Provides:       libqt53d-devel = %{version}
Provides:       qt3d5-devel = %{version}
Provides:       qt53d-devel = %{version}

%description -n %{libqt3d_d}
Devel files needed to build apps based on Qt 3D.

%files -n %{libqt3d_d}
%{_qt5_includedir}/Qt3DAnimation/
%{_qt5_libdir}/libQt53DAnimation.so
%{_qt5_libdir}/libQt53DAnimation.prl
%{_qt5_libdir}/cmake/Qt53DAnimation/
%{_qt5_libdir}/pkgconfig/Qt53DAnimation.pc
#
%{_qt5_includedir}/Qt3DCore/
%{_qt5_libdir}/libQt53DCore.so
%{_qt5_libdir}/libQt53DCore.prl
%{_qt5_libdir}/cmake/Qt53DCore/
%{_qt5_libdir}/pkgconfig/Qt53DCore.pc
#
%{_qt5_includedir}/Qt3DExtras/
%{_qt5_libdir}/libQt53DExtras.so
%{_qt5_libdir}/libQt53DExtras.prl
%{_qt5_libdir}/cmake/Qt53DExtras/
%{_qt5_libdir}/pkgconfig/Qt53DExtras.pc
#
%{_qt5_includedir}/Qt3DInput/
%{_qt5_libdir}/libQt53DInput.so
%{_qt5_libdir}/libQt53DInput.prl
%{_qt5_libdir}/cmake/Qt53DInput/
%{_qt5_libdir}/pkgconfig/Qt53DInput.pc
#
%{_qt5_includedir}/Qt3DLogic/
%{_qt5_libdir}/libQt53DLogic.so
%{_qt5_libdir}/libQt53DLogic.prl
%{_qt5_libdir}/cmake/Qt53DLogic/
%{_qt5_libdir}/pkgconfig/Qt53DLogic.pc
#
%{_qt5_includedir}/Qt3DQuick/
%{_qt5_libdir}/libQt53DQuick.so
%{_qt5_libdir}/libQt53DQuick.prl
%{_qt5_libdir}/cmake/Qt53DQuick/
%{_qt5_libdir}/pkgconfig/Qt53DQuick.pc
#
%{_qt5_includedir}/Qt3DQuickAnimation/
%{_qt5_libdir}/libQt53DQuickAnimation.so
%{_qt5_libdir}/libQt53DQuickAnimation.prl
%{_qt5_libdir}/cmake/Qt53DQuickAnimation/
%{_qt5_libdir}/pkgconfig/Qt53DQuickAnimation.pc
#
%{_qt5_includedir}/Qt3DQuickExtras/
%{_qt5_libdir}/libQt53DQuickExtras.so
%{_qt5_libdir}/libQt53DQuickExtras.prl
%{_qt5_libdir}/cmake/Qt53DQuickExtras/
%{_qt5_libdir}/pkgconfig/Qt53DQuickExtras.pc
#
%{_qt5_includedir}/Qt3DQuickInput/
%{_qt5_libdir}/libQt53DQuickInput.so
%{_qt5_libdir}/libQt53DQuickInput.prl
%{_qt5_libdir}/cmake/Qt53DQuickInput/
%{_qt5_libdir}/pkgconfig/Qt53DQuickInput.pc
#
%{_qt5_includedir}/Qt3DQuickRender/
%{_qt5_libdir}/libQt53DQuickRender.so
%{_qt5_libdir}/libQt53DQuickRender.prl
%{_qt5_libdir}/cmake/Qt53DQuickRender/
%{_qt5_libdir}/pkgconfig/Qt53DQuickRender.pc
#
%{_qt5_includedir}/Qt3DQuickScene2D/
%{_qt5_libdir}/libQt53DQuickScene2D.so
%{_qt5_libdir}/libQt53DQuickScene2D.prl
%{_qt5_libdir}/cmake/Qt53DQuickScene2D/
%{_qt5_libdir}/pkgconfig/Qt53DQuickScene2D.pc
#
%{_qt5_includedir}/Qt3DRender/
%{_qt5_libdir}/libQt53DRender.so
%{_qt5_libdir}/libQt53DRender.prl
%{_qt5_libdir}/cmake/Qt53DRender/
%{_qt5_libdir}/pkgconfig/Qt53DRender.pc
#
%{_qt5_bindir}/qgltf
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/qt3d/

#------------------------------------------------------------------------------

%prep
%setup -q -n qt3d-everywhere-src-%{qtversion}
%autopatch -p1

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652446
- New version 5.15.2

* Wed Oct 21 2020 akien <akien> 5.15.1-2.mga8
+ Revision: 1637690
- Rebuild for fixed qtgui5 with vulkan dependency

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624899
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590037
- New version 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545492
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484387
- New version 5.14.1

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438477
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421135
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418158
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384285
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378525
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362267
- New version 5.12.1

* Sun Dec 09 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1339125
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319013
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-3.mga7
+ Revision: 1300683
- Mageia 7 Mass Rebuild

* Tue Jul 31 2018 neoclust <neoclust> 5.11.1-2.mga7
+ Revision: 1246283
- New version 5.11.1

* Mon May 28 2018 neoclust <neoclust> 5.11.0-2.mga7
+ Revision: 1232681
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216492
- New version 5.10.1

* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205670
- New version 5.9.4

* Tue Dec 12 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1182394
- New version 5.9.3
- New version 5.9.3

* Fri Aug 11 2017 daviddavid <daviddavid> 5.9.1-4.mga7
+ Revision: 1139815
- rebuild against fixed assimp
- remove previous fix-assimp-checking patch

* Fri Aug 11 2017 daviddavid <daviddavid> 5.9.1-3.mga7
+ Revision: 1139722
- add patch to correctly checking system assimp

* Thu Aug 10 2017 daviddavid <daviddavid> 5.9.1-2.mga7
+ Revision: 1139489
- use system assimp

* Thu Aug 10 2017 daviddavid <daviddavid> 5.9.1-1.mga7
+ Revision: 1139481
- initial package qt3d5

